> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update Resident: Rentvine

PUT https://api.propexo.com/v1/residents/rentvine/{resident_id}
Content-Type: application/json

Note: If you'd like to update the resident's address, phone number, or email address, this will require additional configuration to read in required metadata. If you'd like to update these fields, please contact support.

| Interface | Method                                                               |
| --------- | -------------------------------------------------------------------- |
|           |                                                                      |
| Tenants   | POST /api/manager/tenants/\{contactID}/addresses/\{contactAddressID} |
| Contacts  | POST /api/manager/contacts/\{contactID}/addresses                    |
| Tenants   | POST /api/manager/tenants/\{contactID}/phones/\{contactPhoneID}      |
| Contacts  | POST /api/manager/contacts/\{contactID}/phones                       |
| Tenants   | POST /api/manager/tenants/\{contactID}/emails/\{emailID}             |
| Contacts  | POST /api/manager/contacts/\{contactID}/emails                       |
| Tenants   | POST /api/manager/leases/\{leaseID}/tenants/\{tenantID}              |
| Tenants   | POST /api/manager/tenants/\{contactID}                               |

Reference: https://docs.propexo.com/api-reference/rentvine/residents/update-resident-rentvine

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `resident_id` (string, required) — The ID of the resource.

### Body (application/json)

This endpoint expects a _v1_residents_rentvine_{resident_id}_put_input.

- `first_name` (string, optional) — The first name associated with the resident
- `middle_name` (string, optional) — The middle name associated with the resident
- `last_name` (string, optional) — The last name associated with the resident
- `email_1` (string, optional) — The primary email address associated with the resident
- `date_of_birth` (V1ResidentsRentvineResidentIdPutInputDateOfBirth, optional) — The date of birth associated with the resident
- `address_1` (string, optional) — The first address line associated with the resident
- `address_2` (string, optional) — The second address line associated with the resident
- `city` (string, optional) — The city associated with the resident
- `state` (enum, optional) — The state associated with the resident
  - Allowed values: `AB`, `BC`, `MB`, `NB`, `NL`, `NT`, `NS`, `NU`, `ON`, `PE`, `QC`, `SK`, `YT`, `AL`, `AK`, `AS`, `AZ`, `AR`, `AA`, `AE`, `AP`, `CA`, `CO`, `CT`, `DE`, `DC`, `FL`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MI`, `MN`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `MP`, `OH`, `OK`, `OR`, `PA`, `PR`, `RI`, `SC`, `SD`, `TN`, `TX`, `UM`, `UT`, `VT`, `VI`, `VA`, `WA`, `WV`, `WI`, `WY`
- `zip` (string, optional) — The zip code associated with the resident
- `country` (enum, optional) — The country associated with the resident
  - Allowed values: `US`, `CA`
- `phone_1` (string, optional) — Primary phone number associated with the resident
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `MOBILE`, `HOME`, `WORK`, `FAX`, `OTHER`
- `is_primary` (boolean, optional) — Whether the resident is the primary record

## Response

### 200

Successful response

- `meta` (V1ResidentsRentvineResidentIdPutOutputMeta, required)
- `result` (V1ResidentsRentvineResidentIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ResidentsRentvineResidentIdPutInputDateOfBirth

The date of birth associated with the resident

### V1ResidentsRentvineResidentIdPutOutputMeta

- `job_id` (string, required)

### V1ResidentsRentvineResidentIdPutOutputResult

- `resident_id` (string, required) — The Propexo unique identifier for the resident. The resident must be a primary.
- `first_name` (string, optional) — The first name associated with the resident
- `middle_name` (string, optional) — The middle name associated with the resident
- `last_name` (string, optional) — The last name associated with the resident
- `email_1` (string, optional) — The primary email address associated with the resident
- `date_of_birth` (V1ResidentsRentvineResidentIdPutOutputResultDateOfBirth, optional) — The date of birth associated with the resident
- `address_1` (string, optional) — The first address line associated with the resident
- `address_2` (string, optional) — The second address line associated with the resident
- `city` (string, optional) — The city associated with the resident
- `state` (enum, optional) — The state associated with the resident
  - Allowed values: `AB`, `BC`, `MB`, `NB`, `NL`, `NT`, `NS`, `NU`, `ON`, `PE`, `QC`, `SK`, `YT`, `AL`, `AK`, `AS`, `AZ`, `AR`, `AA`, `AE`, `AP`, `CA`, `CO`, `CT`, `DE`, `DC`, `FL`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MI`, `MN`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `MP`, `OH`, `OK`, `OR`, `PA`, `PR`, `RI`, `SC`, `SD`, `TN`, `TX`, `UM`, `UT`, `VT`, `VI`, `VA`, `WA`, `WV`, `WI`, `WY`
- `zip` (string, optional) — The zip code associated with the resident
- `country` (enum, optional) — The country associated with the resident
  - Allowed values: `US`, `CA`
- `phone_1` (string, optional) — Primary phone number associated with the resident
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `MOBILE`, `HOME`, `WORK`, `FAX`, `OTHER`
- `is_primary` (boolean, optional) — Whether the resident is the primary record

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1ResidentsRentvineResidentIdPutOutputResultDateOfBirth

The date of birth associated with the resident

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "meta": {
    "job_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  "result": {
    "resident_id": "res-987654321",
    "first_name": "Emily",
    "middle_name": "Grace",
    "last_name": "Johnson",
    "email_1": "emily.johnson@example.com",
    "date_of_birth": "1990-04-22",
    "address_1": "123 Maple Street",
    "address_2": "Apt 4B",
    "city": "Springfield",
    "state": "IL",
    "zip": "62704",
    "country": "US",
    "phone_1": "+12175551234",
    "phone_1_type": "MOBILE",
    "is_primary": true
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/residents/rentvine/resident_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/residents/rentvine/resident_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/residents/rentvine/resident_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/residents/rentvine/resident_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/residents/rentvine/resident_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/residents/rentvine/resident_id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/residents/rentvine/resident_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/residents/rentvine/resident_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```